PT_REGS_TO_GDB_REGS(9)

NAME
pt_regs_to_gdb_regs - Convert ptrace regs to GDB regs

SYNOPSIS

void pt_regs_to_gdb_regs(unsigned long * gdb_regs, struct pt_regs * regs);

ARGUMENTS

gdb_regs
    A pointer to hold the registers in the order GDB wants.

regs
    The struct pt_regs of the current process.

DESCRIPTION

Convert the pt_regs in regs into the format for registers that GDB expects, stored in gdb_regs.

AUTHOR

Jason Wessel <jason.wessel@windriver.com>
    Author.

COPYRIGHT